﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="MindFusion.Scheduling.Samples.CS.Customization._Default" %>

<%@ Register Assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms"
	TagPrefix="MindFusion" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>MindFusion WebPlanner Sample - Customization</title>
	<link href="common/jquery-ui.min.css" rel="stylesheet" />
	<link href="common/samples.css" rel="stylesheet" />
	<script type="text/javascript" src="common/jquery.min.js"></script>
	<script type="text/javascript" src="common/jquery-ui.min.js"></script>
	<script type="text/javascript" src="common/samples.js"></script>
	<style type="text/css">
		.ItemsStyle .frame
		{
			background: #F2F39E none !important;
			color: #000000;
			font-size: 9px;
			font-family: "Verdana" , "Tahoma";
		}
		.ItemsStyle.selected .frame
		{
			background: #71C42B none !important;
			color: #000000;
			font-size: 9px;
			font-family: "Verdana" , "Tahoma";
		}
		/*selection*/
		.WebPlannerSingleMonth .Vista .content .frame .monthDays .week .bgRow .month .dayWrapper .borders.selection, .WebPlannerListView .Vista .horizontal .wrapper .content .row .bgDays .day .dayWrapper .borders.selection
		{
			background: #DCF4CC none !important;
		}
		.WebPlannerSingleMonth .Vista .content .frame .monthDays .week .bgRow .month .dayWrapper .borders.selection .title, .WebPlannerListView .Vista .horizontal .wrapper .content .row .bgDays .day .dayWrapper .borders.selection .title
		{
			background: #71C42B none !important;
		}
		.WebPlannerSingleMonth .Vista .content .frame .monthDays .week .bgRow .padding .dayWrapper .borders.selection
		{
			background: #CCE4F4 none !important;
		}
		.WebPlannerSingleMonth .Vista .content .frame .monthDays .week .bgRow .padding .dayWrapper .borders.selection .title
		{
			background: #99DC61 none !important;
		}
		/*popup forms*/
		.WebPlannerPopupFormVista .frame, .WebPlannerPopupFormVista .frame #main-content
		{
			background: #5288DB none !important;
		}
		.WebPlannerPopupFormVista .frame #header
		{
			background: #1b427c none !important;
		}
		.WebPlannerPopupFormVista .frame #main-content .dates-text, .WebPlannerPopupFormVista .frame #main-content .text-area, .WebPlannerPopupFormVista .frame #main-content .checkbox-list, .WebPlannerPopupFormVista .frame #main-content .text-box, .WebPlannerPopupFormVista .frame #main-content .dropDown-list, .WebPlannerPopupFormVista table.times td.selected
		{
			background: #FFFFFF none !important;
			color: Black !important;
		}
		.WebPlannerPopupFormVista .frame #main-content .buttons-row a.button, .WebPlannerPopupFormVista table.times, .WebPlannerPopupFormVista .button, .WebPlannerPopupFormVista .todayButton
		{
			background: #1b427c none !important;
			color: White !important;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager2" runat="server">
	</asp:ScriptManager>
	<input type="hidden" id="collapsed" runat="server" />
	<div id="header" style="height: 49px;">
		<div style="float: left;">
			<span class="label">View:</span>
			<asp:DropDownList ID="viewList" runat="server" AutoPostBack="True" OnSelectedIndexChanged="viewList_SelectedIndexChanged">
				<asp:ListItem Text="Single Month" />
				<asp:ListItem Text="List" />
			</asp:DropDownList>
		</div>
		<div style="float: right; margin-right: 5px; margin-top: 17px;">
			<button id="expandButton" onclick="onExpandCollapse()">
				&gt;</button>
		</div>
	</div>
	<div id="info" style="top: 60px; bottom: 24px;">
		<div id="infoTab" style="padding: 10px;">
			<h1>
				About this sample</h1>
			<p>
				This sample demonstrates various ways to customize the looks of a calendar. It can
				be done through code-behind by settings some of the Style-related properties for
				a given view, by applying different CSS styles, or both.</p>
		</div>
	</div>
	<div id="content" style="top: 60px; bottom: 24px;">
		<div style="position: absolute; left: 0px; top: 0px; bottom: 0px; right: 0px">
			<MindFusion:Calendar ID="Calendar1" runat="server" Theme="Vista" CurrentView="SingleMonth"
				Height="100%" Width="100%">
				<ListViewSettings NumberOfCells="28" ShowNavigationButtons="Enabled" />
				<ItemSettings CssClass="ItemsStyle" Size="15" />
				<MonthSettings WeekHeaderStyle="Left" LeadingWeekCount="1" HeaderStyle="Title, MonthButtons, YearButtons"
					MainHeaderHeight="20px">
					<DaySettings FirstDayOfMonthFormat=" d MMM" FirstDayOfYearFormat=" d MMM yyyy" />
				</MonthSettings>
			</MindFusion:Calendar>
		</div>
	</div>
	<div id="footer" style="height: 24px;">
		<span id="copyright"></span>
	</div>
	<script type="text/javascript">

		$('#viewList').on("selectmenuchange", function ()
		{
			__doPostBack();
		});
	
	</script>
	</form>
</body>
</html>
